---
this_file: LOG.md
---

# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.7.5] - 2025-02-15

### Added
- Initial release of twat-ez plugin
- Modern Python packaging with PEP 621 compliance
- GitHub Actions workflows for build, test, and release
- Comprehensive test suite setup
- Type hints and runtime type checking
- Pre-commit hooks for code quality
- Ruff configuration for linting and formatting
- MyPy configuration for type checking
- Pytest configuration with benchmarking support
- MIT License
- Basic project documentation

### Features
- Plugin integration with twat
- Development workflow using Hatch
- Support for Python 3.10, 3.11, and 3.12
- Test coverage reporting
- Automated CI/CD pipeline
- Code quality checks and formatting

[1.7.5]: https://github.com/twardoch/twat-ez/releases/tag/v1.7.5 